<?php	session_start(); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html>
<?php
	// index.html
	// Albert Teoh 15.11.2005
	// 
	// The opening page for the ATNF Pulsar Data Archive
	// system. Used to search for observation archive
	// files.
/*
<!-- BEGIN Javascript for expansion blocks -->
<!-- Thanks to: -->
<!-- http://assn9.blogspot.com/ -->
<!-- Douglas Bowman
     URL:      www.stopdesign.com
     Used in: http://www.bloggerforum.com/modules/newbb/viewtopic.php?topic_id=8725&forum=6
     Date:     26 Feb 2004
-->
*/
?>
<head>
<link rel="stylesheet" type="text/css" href="styles/style.css" />
<link rel="stylesheet" type="text/css" href="styles/query.css" />
<link rel="stylesheet" type="text/css" href="styles/results.css" />
<link rel="stylesheet" type="text/css" href="styles/atnf.css" />
<meta http-equiv="Content-Type" content="text/html; charset=iso-8759-1" />
<meta name="DC.Creator" lang="en" content="personalName=Teoh,Albert" />
<meta name="ATNF.Maintainer" content="contactName=Webmaster,the" />
<meta name="DC.Title.alt" lang="en" content="" />
<meta name="DC.Subject" lang="en" content="pulsar" />
<meta name="DC.Description" lang="en" content="Searches the data archives at the ATNF" />
<meta name="DC.Date.created" scheme="ISO8601" content="2002-12-12" />
<meta name="ATNF.Site" content="Marsfield" />
<meta name="ATNF.AccessPermission" content="Public" />
<meta name="ATNF.MetaVersion" content="1.0" />
</head>
<script type="text/javascript" language="javascript1.2"><!--
function togglecomments (id1,id2) {

		var obj1 = document.getElementById(id1);
		var obj2 = document.getElementById(id2);
		(obj1.className=="commentshown") ? obj1.className="commenthidden" : obj1.className="commentshown"; 
		(obj1.className=="commentshown") ? obj2.innerHTML="<< Hide" : obj2.innerHTML="Show all >>"; 

}

function checkAll(objName, FormName, FieldName ) {

	var obj = document.getElementsByName(objName);
	var CheckValue = obj[0].checked;

	if(!document.forms[FormName])
		return;
	var objCheckBoxes = document.forms[FormName].elements[FieldName];
	if(!objCheckBoxes)
		return;
	var countCheckBoxes = objCheckBoxes.length;
	if(!countCheckBoxes)
		objCheckBoxes.checked = CheckValue;
	else
		// set the check value for all check boxes
		for(var i = 0; i < countCheckBoxes; i++)
			objCheckBoxes[i].checked = CheckValue;
}

function updateSelectAll(objId, allId) {
	var obj = document.getElementById(objId);
	var allCheckbox = document.getElementById(allId);	
	
	if (!objId.checked && allCheckbox.checked) {
		allCheckbox.checked = false;
	}
		
		
}
//--></script>

<title>ATNF Pulsar Data Archive Home</title>

<!-- Start Content -->
<?php
	
include_once("constants.php");
include_once("security.php");
include_once("database.php");
include_once("date.php");

$now_day = date("j");
$now_month = date("n");
$now_year = date("Y");

$all_params_id = "all_params";
$all_others_id = "all_others";

$link = db_connect();
//$link = db_connect_admin();
//loadNewTables();
//////////////////////////////
// Initialise error messages
//

$date_error = "";

///////////////////////////////////
// Find out the first and last dates
//$query = "select min(mjd), max(mjd) from ".OBSERVATIONS_TABLE;
$query = "select min(t.mjd), max(t.mjd) from ((select mjd from s70) union (select mjd from obs)) as t";
$result = mysql_query($query) or die('Query failed: ' . mysql_error());

$row = mysql_fetch_array($result);

$min_mjd = $row[0];
$max_mjd = $row[1];

// Convert from MJD to JD
$min_mjd += 2400000.5;
$max_mjd += 2400000.5;

// convert the mjd to a date
$min_mjd = floor($min_mjd);
$max_mjd = ceil($max_mjd);

$min_cal_assoc = cal_from_jd($min_mjd, CAL_GREGORIAN);
$max_cal_assoc = cal_from_jd($max_mjd, CAL_GREGORIAN);

// Free resultset
mysql_free_result($result);

// Clear any old form inputs in session cache
init($link);

//////////////////////////////////////////////
// Get the field names to fill form checkboxes

//$query = "SHOW COLUMNS FROM ".OBSERVATIONS_TABLE;
$query = "SHOW COLUMNS FROM obs";
$result = mysql_query($query) or die ('Query failed: ' . mysql_error());

$fields = array();
if (mysql_num_rows($result)) {
	while($row = mysql_fetch_assoc($result)) {
	  if(($row['Field'] != "data_loc") && ($row['Field'] != "file_size_bytes"))
	    array_push($fields, $row);
	}
}

///////////////////////////////////////////////
// Get the data types available in the database
//

//$query = "select distinct data_type from " . OBSERVATIONS_TABLE . " order by data_type";
$query = "(select distinct data_type from obs) union (select distinct data_type from s70)";
$result = mysql_query($query) or die ('Query failed: ' . mysql_error());

$data_types = array();

if (mysql_num_rows($result)) {
	while($row = mysql_fetch_array($result, MYSQL_NUM)) {
		array_push($data_types, $row[0]);
	}
}

///////////////////////////////////////////////
// If the user clicked on the logout button
if (isset($HTTP_GET_VARS['command'])) {
	$command = $HTTP_GET_VARS['command'];
	if ($command == 'logout') {
		//unset($_SESSION['auth_code']);
		//unset($_SESSION['username']);
		$_SESSION = array();
	}
}

// If the user hasn't logged in before or if the previous
// session's authentication wasn't successful
// Then use the submitted username and password
if (!isset($_SESSION['auth_code']) || $_SESSION['auth_code'] != OK) {
	$username = $HTTP_POST_VARS["username"];
	$password = $HTTP_POST_VARS["password"];
	$auth_code = authenticate($username, $password);
}
else {
	$auth_code = $_SESSION['auth_code'];
	$username = $_SESSION['username'];
}

//echo "auth_code = $auth_code<br>\n";

///////////////////////////////////////////////////////////////
// Set the new maximum search range if not an atnf staff member
//

// if (!atnf_staff($username)) {
// 	$max_cal_assoc['day'] = date("j");
// 	$max_cal_assoc['month'] = date("n");
// 	$max_cal_assoc['year'] = date("Y")-2;
	
// 	echo "$username not atnf<br>\n";
// }

// Initial state where no username or password supplied OR bad login state
if ($auth_code != OK) { ?>
	<body class="front_page">


	<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="POST">
	
  <img class="front_page" src="images/front_page01.png"></img>
	<table class="login">
	<?php if ( $auth_code == BAD_LOGIN){ ?>
		<tr><td class="form_field" colspan="2"><font color="red">Incorrect username and/or password</font></td></tr>
	<?php }?>
		<tr><td class="form_field"><font color="white">Username: </font></td><td><input type="text" name="username"></td></tr>
		<tr><td class="form_field"><font color="white">Password: </font></td><td><input type="password" name="password"></td></tr>
		<tr><td class="form_field" align="left"><font color="white"><a href="register.html">Register</a></font></td><td align="right" rowspan="2"><input type="submit" value="Log in"></td></tr>
		<tr><td class="form_field" align="left"><font color="white"><a href="forgot.php">Forgot your password?</a></font></td></tr>
	</table>
	</form>
<?php } else { 
	include_once("header.html");
	$_SESSION['username'] = $username;
	$_SESSION['auth_code'] = $auth_code;

	$actions = $HTTP_GET_VARS['actions'];
	
	if ($actions == "new_query") {
		init();
	}
	else if ($actions == "error") {
		$date_error = "You are only authorised to access data > 18 months old";
	}
?>
<body class="atoa">
   <script type="text/javascript" src="scripts/atnf-dom-utils.js"></script>
   <script type="text/javascript" src="scripts/process.js"></script>
    
    <h1> Pulsar Archive Project </h1>

    <p>The pulsar archive provides data from historical observations .... </p>
    
    <table width="700" style="border: 0px;">
    <tr align="center">
    <td>
    <a class="top_menu" href="<?php echo $PHP_SELF; ?>?command=logout">Logout</a>
    <!--a href="login?_action=logout">Logout</a-->

    </td>
	<td>
	<a class="top_menu" href="change_password.html?prev_page=<?php echo urlencode("index.html"); ?>">Change Password</a>
	</td>
	<td size="30">
	&nbsp;
    </td>
	<td>
	<div id="divUsageToggle"></div> 
	</td>
	<td size="30">
	&nbsp;
    </td>
	<td>
	<a href="pulsar_archive_guide.html">Users Guide</a>
	</td>
	</tr>

	</table>

	<div id="divUsage">

	<h2>Instructions</h2>
	
	    <dl class="top">
	      <dt> Display Parameters </dt>
                <dd> Check the fields you want shown </dd>
	      <dt> Filter Options </dt>
	        <dd> You can select both timing data and search data. For search data the Pulsar name is
	             ignored. 
	        </dd> 
	      <dt> Coordinates </dt>
	        <dd> ... </dd> 
	      <dt> Display Other </dt>
	        <dd> ... </dd> 
	      <dt> Perform Query </dt>
	        <dd> ... </dd> 
	    </dl>
	    
	</div>



<!--<table class="noborder">
<tr><td><a class="top_menu" href="<?php echo $PHP_SELF; ?>?command=logout">Logout</a> | <a class="top_menu" href="change_password.html?prev_page=<?php echo urlencode("index.html"); ?>">Change Password</a></td>
</tr>
</table>-->


<form action="query.php" method="GET" name="data_archive_form" id="data_archive_form">
<input type="hidden" name="state" value="results">
    

    
    
<table class="noborder" cellpadding=0>

    <tr><td colspan=2>
      <br><center><input type="submit" value="submit" name="submit_button" style="float: center;"></center><br>
    </td></tr>
    
    <tr>
	
    <td valign="top" class="form_field" rowspan="2">

    <fieldset>
		<legend>Display Parameters</legend>
		<input type="checkbox" name="<?php echo $all_params_id; ?>" id="<?php echo $all_params_id; ?>" onClick="checkAll('<?php echo $all_params_id; ?>', 'data_archive_form', 'params[]')" >Select all<br>
			<!--font size="-1"><a href="javascript:togglecomments('params', 'toggler1')" id="toggler1">Show all >></a></font--><br>
			<!span class="commenthidden" id="params">
			<div id="list">
				<?php
				// Special case for ra and dec
				$raj_count = 0;
				$decj_count = 0;
				$raj_field = "";
				$decj_field = "";
				
				$def_fields = Array( "filename", "src_name", "project_id", "raj", "decj", 
				                     "data_type", "obsfreq", "bw", "scanlen", "date", "ut" );

				foreach ($fields as $field) {
// 					if (ereg("raj_.+", $field['Field'] )) {
// 						$raj_field .= "," . $field['Field'];
// 						$raj_count++;
// 						if ($raj_count == 3) {
// 							$raj_field = trim($raj_field, " ,");
// 							echo "<input onClick=\"updateSelectAll('ra',
// '$all_params_id')\" type=\"checkbox\" name=\"params[]\" value=\"$raj_field\" id=\"RA\" checked=\"true\">RA<br>\n";
// 						}
// 					}
// 					else if (ereg("decj_.+", $field['Field'] ) ){
// 						$decj_field .= "," . $field['Field'];
// 						$decj_count++;
// 						if ($decj_count == 3) {
// 							$decj_field = trim($decj_field, " ,");
// 							echo "<input onClick=\"updateSelectAll('dec', '$all_params_id')\" type=\"checkbox\" name=\"params[]\" value=\"$decj_field\" id=\"dec\" checked=\"true\">DecJ<br>\n";
// 						}
// 					}
// 					else {
						echo "<input
onClick=\"updateSelectAll('".$field['Field']."', '$all_params_id')\" type=\"checkbox\" name=\"params[]\" value=\"".$field['Field']."\" id=\"".$field['Field']."\"";
                                                if( in_array( $field['Field'], $def_fields ) )
						  echo ' checked="true"';
						echo " >".$field['Field']."<br>\n";
// 					}
				}
				?>
			</div>
			</span>
	</fieldset>
			
	</td>

	<td class="form_field" height="10%">
	<!-- Filter Options -->
	<table cellspacing=0 cellpadding=0 style="border: 0px;">
				    <tr><td>
	<fieldset id="flsPosition">
				
		<legend>Filter Options</legend>

		<!-- Obs Mode -->
		<fieldset>
			<legend>Obs Mode</legend>

			<select name="obs_mode" onchange="ObsModeChanged()" id="ObsModeList">
				<option value="any"> Any </option>
				<option value="timing"> Just timing </option>
                                <option value="search"> Just search </option>
                        </select>

		</fieldset>

		<!-- Pulsar Name -->
		<fieldset>
			<legend>Pulsar Name</legend>

			<input type="text" name="pulsar_name" size="10">

		</fieldset>	

		<!-- Data Type -->
		<fieldset>
			<legend>Data Type</legend>

			<select name="data_type">
				<option value="" selected> Any
				<?php
				foreach ($data_types as $data_type) {
					echo "
					<option value=\"$data_type\"> $data_type";
				}
				?>
			</select> 

		</fieldset>	

		<!-- Date range -->
		<fieldset>
			<legend>Date Range</legend>
			
			<select name="from_day">
				<?php
					for ($i = 1; $i <= 31; $i++) {
						echo "\t\t\t<option";
						if ($i == $min_cal_assoc['day']) {
							echo " selected";
						}
						echo " value=\"$i\">$i</option>\n";
					}
				?>
			</select> 
			<select name="from_month">
				<?php
					for ($i = 1; $i <= 12; $i++) {
						echo "\t\t\t<option";
						if ($i == $min_cal_assoc['month']) {
							echo " selected";
						}
						echo " value=\"$i\">$i</option>\n";
					}
				?>
			</select> 
			<input type="text" size="4" name="from_year" value="<?php echo $min_cal_assoc['year']; ?>">
			<?php echo "<font size=\"-1\" color=\"red\">$date_error</font>" ?>
			<br>to<br>
			<select name="to_day">
				<?php
					for ($i = 1; $i <= 31; $i++) {
						echo "\t\t\t<option";
						if ($i == $max_cal_assoc['day']) {
							echo " selected";
						}
						echo " value=\"$i\">$i</option>\n";
					}
				?>
			</select> 
			<select name="to_month">
				<?php
					for ($i = 1; $i <= 12; $i++) {
						echo "\t\t\t<option";
						if ($i == $max_cal_assoc['month']) {
							echo " selected";
						}
						echo " value=\"$i\">$i</option>\n";
					}
				?>
			</select> 
			<input type="text" size="4" name="to_year" value="<?php echo $max_cal_assoc['year']; ?>">
		</fieldset>
        </fieldset>
        </td></tr><tr><td>
        <!-- fieldset -->
                
		<!-- Coordinates -->
		<fieldset>
			<legend>Coordinates</legend>

			RAJ: <input type="text" name="raj" size="10">
			DecJ: <input type="text" name="decj" size="10">
			Search radius (degs): <input type="text" name="radius" size="10">


		</fieldset>	

	<!--/fieldset -->
        </td></tr><tr><td>
		    <fieldset>
		    <legend>Display Other</legend>
				
		    <input type="checkbox" name="cals" value="cals" id="cals" checked="true" />Cals within 
		    <input type="text" name="cals_within_mins" value="30" maxlength="5" size="3"/> mins of obs
		    <br>
						
		    </fieldset>
	</td></tr></table>
	<br>
	</td>
	</tr>	
</table>


</form>
<div style="min-height: 20px; max-height: 1000px;"> </div>
<?php 
   include "footer.html";
}?>

</body>

</html>


<?php //////////// Function definitions ///////////////


// Initialise the input form variables. If the "New query" button is clicked
// no argument is passed to init(), hence the need for a default NULL value
// because there is no need for updating user access statistics
function init($link=NULL) {

	if ($link) {
		// Update the users table
		updateUsersTable($link);
	}
	
	unset($_SESSION['cals']); // The result set of cals
	unset($_SESSION['obs']); // The result set of observations
	//unset($_SESSION['cart_items']); // The result set of observations
}

mysql_close($link);

?>
