


var showUsageText, hideUsageText;


function DataTypeChanged()
{
	var list_obj = document.getElementById( 'ObsModeList' );
	var name_obj = document.getElementById( 'PulsarNameText' );

	if( list_obj && name_obj )
	{
		if( list_obj.value == 'search' )
			name_obj.disabled = true;
		else
			name_obj.disabled = false;
	}
}



window.onload = function () 
{
  showUsageText = document.createTextNode("Expand Instructions");
  hideUsageText = document.createTextNode("Hide Instructions");
	
  var usageToggleContainer = document.getElementById("divUsageToggle");
  var usageToggle = document.createElement("a");
	
  usageToggle.href = "#";
  usageToggle.id = "aUsage";
  DOMUtils.addEventListener(usageToggle, "click", usageToggleHandler);
  usageToggle.appendChild(showUsageText);
  
  usageToggleContainer.appendChild( usageToggle );
}



var usageToggleHandler = {
  handleEvent: function(ev) {
    if (window.event) {
      ev = window.event;
      ev.currentTarget = ev.srcElement;
    }
		
    var usageContainer = document.getElementById("divUsage");
    var display, text;
		
    if (document.defaultView) {
      var usageStyle = document.defaultView.getComputedStyle(usageContainer, null);
      if (usageStyle == null) { // KHTML returns null for some reason if the element is not displayed
	display = "none";
      } else {
	display = usageStyle.getPropertyValue("display");
      }
    } else {
      if (usageContainer.currentStyle) {
	display = usageContainer.currentStyle.display;
      } else {
	display = usageContainer.style.display;
      }
    }
        
    if (display == "none") {
      usageContainer.style.display = "block";
      text = hideUsageText;
    } else {
      usageContainer.style.display = "none";
      text = showUsageText;
    }
        
    ev.currentTarget.replaceChild(text, ev.currentTarget.childNodes[0]);
  }
}





